> For the complete documentation index, see [llms.txt](https://docs.drivequant.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.drivequant.com/vehicle/android/get-started.md).

# Get started

## **Prerequisite**

Before starting DriveKit Vehicle integration, make sure that you have[ initialized DriveKit](https://docs.drivequant.com/get-started-drivekit/android), especially if you have [disable the SDK auto-initialization](/get-started-drivekit/android/advanced-configurations.md#manually-initialize-the-sdk).&#x20;

{% hint style="danger" %}
If you use DriveKit Vehicle without having initialized DriveKit, an exception will be generated and the SDK will not work in your application.
{% endhint %}

## **Integration**

### **Get module from repository**

To add Vehicle module to your app, add the following line to your dependencies in your application `build.gradle` file:

```gradle
dependencies {
    implementation 'com.drivequant.drivekit:drivekit-vehicle:$drivekit_version'
}
```

{% hint style="info" %}
Replace `$drivekit_version` with the DriveKit version you are using in your app
{% endhint %}

## Initialization

If you have [disabled the SDK auto-initialization](/get-started-drivekit/android/advanced-configurations.md#manually-initialize-the-sdk), an initialization phase is required to use the functions offered by the Vehicle component. To initialize Vehicle component in your app, you must call the initialization method in `onCreate` method of your application class.

{% tabs %}
{% tab title="DriveKitVehicle" %}

```kotlin
fun initialize()
```

{% endtab %}
{% endtabs %}

### **TripAnalysis configuration overload**

The configuration of the Vehicle component and its vehicles can overload the auto start configuration of the TripAnalysis component. To do this, call this method after the Vehicle module initialization:

{% tabs %}
{% tab title="DriveKitTripAnalysis" %}

```kotlin
fun setVehiclesConfigTakeover(vehiclesConfigTakeOver: Boolean)
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Exampl&#x65;**:** In the TripAnalysis component, the `beaconRequired` configuration is `false`. If the SDK only has beacon vehicles and if this method is called; the `beaconRequired` configuration of the TripAnalysis is automatically set to `true`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.drivequant.com/vehicle/android/get-started.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
